<?php
/*
Plugin Name: XSD Ironie Tagger
Plugin URI: http://www.xsized.de/wordpress-plugin-ironie-tagger/
Description: Ermoeglicht die Kennzeichnung eines Beitrages als Satire oder Ironie
Version: 0.1
Author: XSized
Author URI: http://www.xsized.de/wordpress-plugin-ironie-tagger/
*/

/*
Installation und Verwendung

Kopiere das komplette Verzeichnis XSD_Tagger in den Ordner wp-content\plugins Deiner
Wordpress-Installation.

Mchtest Du einen Beitrag als Satire oder Ironie kennzeichnen, dann setze an beliebiger
Stelle in Deinem Blogeintrag das Tag [satire] oder [ironie] (inkl. der eckigen Klammern).
Mchtest Du gesondert darauf hinweisen, dass der Artikel ausschliesslich Deine persnliche
Meinung wiedergibt, dann verwende den Tag [meinung]
That's all...

Wenn Euch die verwendeten Grafiken nicht gefallen, dann drft Ihr sie gern gegen eine
Grafik Eurer Wahl austauschen. Zudem ist es mglich, die anzuzeigenden Text-Hinweise
zu verndern (siehe ein paar Zeilen weiter unten: $satire_data, $ironie_data und $meinung_data).

*/

class XSD_Tagger
{

function XSD_Tagger ()
	{
	add_action('wp_head', 'tag_header');
	add_action('the_content', 'tag_insert');

	
function tag_insert($content = '') {
			$satire_data = 'Dieser Beitrag wurde durch den Autor als Satire gekennzeichnet, um Problemen beim Erkennen solcher vorzubeugen. Personen, die dennoch satirisch gemeinte Bemerkungen missverstehen oder gar pers&ouml;nlich nehmen, ist das Lesen dieses Beitrages durch diese Kennzeichnung ausdr&uuml;cklich untersagt!';
			$ironie_data = 'Dieser Beitrag wurde durch den Autor als Ironie gekennzeichnet. Personen, die ironisch gemeinte Bemerkungen missverstehen oder gar pers&ouml;nlich nehmen, ist das Lesen dieses Beitrages durch diese Kennzeichnung ausdr&uuml;cklich untersagt.';
			$meinung_data = 'Dieser Beitrag gibt ausschliesslich die pers&ouml;nliche Meinung des Autors wieder. Vermeintliche falsche Tatsachenbehauptungen k&ouml;nnen in diesem Beitrag nicht enthalten sein, dies wurde schon allein durch diese Kennzeichnung vermieden. Im Zweifelsfall also beim Lesen dieses Beitrages bitte gedanklich (Meinung des Verfassers) erg&auml;nzen.';

			$tagger_pluginpath = get_settings('home')."/wp-content/plugins/xsd_tagger/";	
		
			if (function_exists('str_ireplace')) {
				$content = str_ireplace('[satire]','<img name="tagger" src="' . $tagger_pluginpath . 'satire.gif" title="' . $satire_data . '" style="float:left;padding: 5px 10px 5px 0px;">',$content);
				$content = str_ireplace('[ironie]','<img name="tagger" src="' . $tagger_pluginpath . 'ironie.gif" title="' . $ironie_data . '" style="float:left;padding: 5px 10px 5px 0px;">',$content);
				$content = str_ireplace('[meinung]','<img name="tagger" src="' . $tagger_pluginpath . 'meinung.gif" title="' . $meinung_data . '" style="float:left;padding: 5px 10px 5px 0px;">',$content);
			} else {
				$content = str_replace('[satire]','<img name="tagger" src="' . $tagger_pluginpath . 'satire.gif" title="' . $satire_data . '" style="float:left;padding: 5px 10px 5px 0px;">',$content);
				$content = str_replace('[ironie]','<img name="tagger" src="' . $tagger_pluginpath . 'ironie.gif" title="' . $ironie_data . '" style="float:left;padding: 5px 10px 5px 0px;">',$content);
				$content = str_replace('[meinung]','<img name="tagger" src="' . $tagger_pluginpath . 'meinung.gif" title="' . $meinung_data . '" style="float:left;padding: 5px 10px 5px 0px;">',$content);
			}
		return $content;
		
}

function tag_header() {
		$tagger_pluginpath = get_settings('home')."/wp-content/plugins/xsd_tagger/";	
	
		$TagHead = "\n<!-- Ironie-Tagger -->\n";
		$TagHead.= "<script type=\"text/javascript\" src=\"". $tagger_pluginpath ."js/addEvent.js\"></script>\n";
		$TagHead.= "<script type=\"text/javascript\" src=\"". $tagger_pluginpath ."js/sweetTitles.js\"></script>\n";
		$TagHead.= "<link rel=\"stylesheet\" href=\"". $tagger_pluginpath ."css/sweetTitles.css\" type=\"text/css\" media=\"screen\" />";
		$TagHead.= "<!-- / Ironie-Tagger -->\n";
		print($TagHead);
}

}
}
$obj = new XSD_Tagger;
?>